curl --request GET \
--url https://api.cadanapay.com/v1/payrolls \
--header 'Authorization: Bearer <token>'{
"data": [
{
"payrollId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workerType": "EMPLOYEE",
"status": "completed",
"numPeople": 50,
"type": "ONE-OFF",
"payrollDate": "2023-12-25",
"debit": {
"amount": 10000,
"currency": "USD"
},
"gross": {
"amount": 10000,
"currency": "USD"
},
"net": {
"amount": 10000,
"currency": "USD"
},
"tax": {
"amount": 10000,
"currency": "USD"
},
"pension": {
"amount": 10000,
"currency": "USD"
},
"payPeriod": {
"fromDate": "2023-12-25",
"toDate": "2023-12-25"
}
}
]
}Fetch all payrolls
curl --request GET \
--url https://api.cadanapay.com/v1/payrolls \
--header 'Authorization: Bearer <token>'{
"data": [
{
"payrollId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workerType": "EMPLOYEE",
"status": "completed",
"numPeople": 50,
"type": "ONE-OFF",
"payrollDate": "2023-12-25",
"debit": {
"amount": 10000,
"currency": "USD"
},
"gross": {
"amount": 10000,
"currency": "USD"
},
"net": {
"amount": 10000,
"currency": "USD"
},
"tax": {
"amount": 10000,
"currency": "USD"
},
"pension": {
"amount": 10000,
"currency": "USD"
},
"payPeriod": {
"fromDate": "2023-12-25",
"toDate": "2023-12-25"
}
}
]
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Required when using a Platform API token. The tenant key identifying which business to operate on.
get payrolls response
Show child attributes